<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:38                                      */
/****************************************************************/


class sl_status { 
	public $Conn = 0;
	public $errMsg = '';
	public $errNo= 0;
	public $sta_Id=0;
	public $sta_Nazwa=0;
	public $sta_Zrodlo=0;
	public $sta_KluczObcy=0;
	public $sta_Modyfikacja=0;
	public $sta_Dodanie=0;

	public function Dodaj(){
		$zwrot=true;
		$query="Insert sl_status (sta_Nazwa, sta_Zrodlo, sta_KluczObcy, sta_Modyfikacja, sta_Dodanie) VALUES (:sta_Nazwa, :sta_Zrodlo, :sta_KluczObcy, :sta_Modyfikacja, :sta_Dodanie) ";

		$sth->bindParam(':sta_Nazwa', $this->sta_Nazwa, PDO::PARAM_STR);
		$sth->bindParam(':sta_Zrodlo', $this->sta_Zrodlo, PDO::PARAM_INT);
		$sth->bindParam(':sta_KluczObcy', $this->sta_KluczObcy, PDO::PARAM_STR);
		$sth->bindParam(':sta_Modyfikacja', $this->sta_Modyfikacja, PDO::PARAM_STR);
		$sth->bindParam(':sta_Dodanie', $this->sta_Dodanie, PDO::PARAM_STR);

		$sth->execute();

		if($sth->errorCode() != 0){
			$zwrot=false;
			$this->errMsg = $sth->errorInfo();
			$this->errNo = $sth->errorCode();
		}

		 return $zwrot;
	 } 
	public function Zmien(){
		$zwrot=true;
		$query="Update sl_status SET sta_Nazwa=:sta_Nazwa, sta_Zrodlo=:sta_Zrodlo, sta_KluczObcy=:sta_KluczObcy, sta_Modyfikacja=:sta_Modyfikacja, sta_Dodanie=:sta_Dodanie Where sta_Id=:sta_Id";

		$sth->bindParam(':sta_Nazwa', $this->sta_Nazwa, PDO::PARAM_STR);
		$sth->bindParam(':sta_Zrodlo', $this->sta_Zrodlo, PDO::PARAM_INT);
		$sth->bindParam(':sta_KluczObcy', $this->sta_KluczObcy, PDO::PARAM_STR);
		$sth->bindParam(':sta_Modyfikacja', $this->sta_Modyfikacja, PDO::PARAM_STR);
		$sth->bindParam(':sta_Dodanie', $this->sta_Dodanie, PDO::PARAM_STR);
		$sth->bindParam(':sta_Id', $this->sta_Id, PDO::PARAM_INT);

		$sth->execute();

		if($sth->errorCode() != 0){
			$zwrot=false;
			$this->errMsg = $sth->errorInfo();
			$this->errNo = $sth->errorCode();
		}

		 return $zwrot;
	 } 
	public function Usun(){
		$zwrot=true;
		$query="Delete from sl_status Where sta_Id=:sta_Id";

		$sth->bindParam(':sta_Id', $this->sta_Id, PDO::PARAM_INT);

		$sth->execute();

		if($sth->errorCode() != 0){
			$zwrot=false;
			$this->errMsg = $sth->errorInfo();
			$this->errNo = $sth->errorCode();
		}

		 return $zwrot;
	 } 
	public function Lista($_jezyk){
		$query='Select * from  orders_status Where language_id=:language_id';
		$sth = $this->Conn->prepare($query);		
		$sth->bindParam(':language_id',$_jezyk, PDO::PARAM_INT);
		$sth->execute();
		$tablica = array();
		$x=0;

		while ($row = $sth->fetch(PDO::FETCH_ASSOC, PDO::FETCH_ORI_NEXT))
		{
			foreach ($row as $k => $v)
			{
				$tablica[$x][$k]=trim($v);
			}
			$x++;
		}

		return $tablica;
	}

}

?>
